[package]
name = "sequoia-net"
description = "Network services for OpenPGP"
version = "0.12.0"
authors = [
    "Justus Winter <justus@sequoia-pgp.org>",
    "Kai Michaelis <kai@sequoia-pgp.org>",
    "Neal H. Walfield <neal@sequoia-pgp.org>",
]
documentation = "https://docs.sequoia-pgp.org/0.12.0/sequoia_net"
homepage = "https://sequoia-pgp.org/"
repository = "https://gitlab.com/sequoia-pgp/sequoia"
readme = "../README.md"
keywords = ["cryptography", "openpgp", "pgp", "hkp", "keyserver"]
categories = ["cryptography", "authentication", "email"]
license = "GPL-2.0-or-later"
edition = "2018"

[badges]
gitlab = { repository = "sequoia-pgp/sequoia" }
maintenance = { status = "actively-developed" }

[dependencies]
sequoia-openpgp = { path = "../openpgp", version = "0.12", default-features = false }
sequoia-core = { path = "../core", version = "0.12" }

failure = "0.1.2"
futures = "0.1"
http = "0.1.5"
hyper = "0.12"
hyper-tls = "0.3"
libc = "0.2.33"
native-tls = "0.2.0"
nettle = "5.0"
percent-encoding = "2.1"
tempfile = "3.1"
tokio-core = "0.1"
tokio-io = "0.1.4"
url = "2.1"
zbase32 = "0.1.2"

[dev-dependencies]
rand = { version = "0.7", default-features = false }

[features]
default = ["compression"]

# The compression algorithms.
compression = ["compression-deflate", "compression-bzip2"]
compression-deflate = ["sequoia-openpgp/compression-deflate"]
compression-bzip2 = ["sequoia-openpgp/compression-bzip2"]

